Vagrant packages for fedora revisited

I have updated my vagrant packages for fedora with vagrant-1.0.6, and adding a yum repo with packages for fedora 18. The packages missing from fedora are posted for package review.

The yum repo has prebuilt packages for f17 and f18, and is available here: http://users.linpro.no/ingvar/vagrant/

Snipped from my posting to the fedora devel mailing list:

Vagrant offers scripted provisioning and deployment of virtual instances, removing the infamous “but it works om my laptop” obstacle. Vagrant is well-known and much used and praised in the devops community. Its home page is http://vagrantup.com/

Though VirtualBox is the current supported target, future versions of vagrant may support other hypervizors as well, including kvm. Being in itself free software under the MIT license, I think vagrant could be included in fedora.

While an upstream rpm exists (putting all dependent packages in /opt) a native fedora package of vagrant was missing. So I wrapped one up.

Review request: bz #905396

It depends on the following packages missing from fedora 18:

rubygem-log4r >= 1.1.9, < 2.0.0
Fix: Build new package
Package review request: bz #905240

rubygem-childprocess >=0.3.1 < 0.4.0 (0.3.6 in rawhide)
Fix: Grab 0.3.6 package from rawhide

rubygem-json >= 1.5.1, < 1.6.0 (1.6.5 in f18, 1.9.1 in rawhide)
Fix: Build rubygem-json15, roughly based on current package.
Package review request: #bz 905389

rubygem-net-ssh >= 2.2.2, < 2.3.0 (2.2.1 in rawhide)
Fix: Build 2.2.2 package based on current package.
Update request: bz #905393

One Response to “Vagrant packages for fedora revisited”

  1. Christof says:

    Good job. I can’t wait to get rid of the upstream packages.

Leave a Reply